Page MenuHomePhabricator

Undefined property cuc_id in Flow onSpecialCheckUserGetLinksFromRow hook
Closed, ResolvedPublic

Description

Spotted in production:

Undefined property: stdClass::$cuc_id in /srv/mediawiki/php-1.25wmf17/extensions/Flow/Hooks.php on line 354

Event Timeline

demon created this task.Feb 20 2015, 9:48 PM
demon raised the priority of this task from to Needs Triage.
demon updated the task description. (Show Details)
demon added a subscriber: demon.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 20 2015, 9:48 PM
Mattflaschen-WMF renamed this task from Undefined property cuc_id in Flow hooks to Undefined property cuc_id in Flow onSpecialCheckUserGetLinksFromRow hook.Feb 20 2015, 10:32 PM
Mattflaschen-WMF set Security to None.
EBernhardson triaged this task as Normal priority.Feb 23 2015, 6:49 PM
EBernhardson added a subscriber: EBernhardson.

This is a curious bug that shouldn't occur, we need to add some more debug logging to figure out what is happening.

@EBernhardson, would you like to prepare a debug logging patch?

Mattflaschen-WMF raised the priority of this task from Normal to Unbreak Now!.Mar 26 2015, 12:07 AM
Mattflaschen-WMF lowered the priority of this task from Unbreak Now! to High.
Krenair added a subscriber: greg.Mar 26 2015, 12:11 AM

This is currently the highest on fatalmonitor (if you exclude a weird config one at 26k that we saw during deployment earlier), at 5.5x the count of the second.

Krenair raised the priority of this task from High to Unbreak Now!.Mar 29 2015, 4:09 AM
Mar 28 11:10:19 mw1241:  message repeated 465 times: [ #012Notice: Undefined property: stdClass::$cuc_id in /srv/mediawiki/php-1.25wmf22/extensions/Flow/Hooks.php on line 406]
Mar 28 19:11:47 mw1248:  message repeated 125 times: [ #012Notice: Undefined property: stdClass::$cuc_id in /srv/mediawiki/php-1.25wmf22/extensions/Flow/Hooks.php on line 406]
Mar 29 02:19:46 mw1175:  message repeated 260 times: [ #012Notice: Undefined property: stdClass::$cuc_id in /srv/mediawiki/php-1.25wmf22/extensions/Flow/Hooks.php on line 406]
Mar 29 02:19:55 mw1175:  message repeated 476 times: [ #012Notice: Undefined property: stdClass::$cuc_id in /srv/mediawiki/php-1.25wmf22/extensions/Flow/Hooks.php on line 406]
Mar 29 02:17:43 mw1164:  message repeated 1061 times: [ #012Notice: Undefined property: stdClass::$cuc_id in /srv/mediawiki/php-1.25wmf22/extensions/Flow/Hooks.php on line 406]

Change 200564 had a related patch set uploaded (by Matthias Mullie):
Get data from all cu_changes columns

https://gerrit.wikimedia.org/r/200564

Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptMar 30 2015, 1:37 PM

Change 200569 had a related patch set uploaded (by Matthias Mullie):
Don't expect cuc_id to exist

https://gerrit.wikimedia.org/r/200569

Change 200569 merged by jenkins-bot:
Don't expect cuc_id to exist

https://gerrit.wikimedia.org/r/200569

Change 200600 had a related patch set uploaded (by EBernhardson):
Don't expect cuc_id to exist

https://gerrit.wikimedia.org/r/200600

Change 200601 had a related patch set uploaded (by EBernhardson):
Don't expect cuc_id to exist

https://gerrit.wikimedia.org/r/200601

Change 200600 merged by jenkins-bot:
Don't expect cuc_id to exist

https://gerrit.wikimedia.org/r/200600

Change 200601 merged by jenkins-bot:
Don't expect cuc_id to exist

https://gerrit.wikimedia.org/r/200601

Submitting patches to todays evening swat

Krenair closed this task as Resolved.Mar 31 2015, 9:24 AM

Looks fixed. Thanks.

Change 200564 abandoned by Matthias Mullie:
Get data from all cu_changes columns

https://gerrit.wikimedia.org/r/200564

Restricted Application added subscribers: Jay8g, TerraCodes. · View Herald TranscriptDec 8 2016, 9:10 AM
mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:11 PM